<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [manualHack](./bitburner.singularity.manualhack.md)

## Singularity.manualHack() method

Run the hack command in the terminal.

**Signature:**

```typescript
manualHack(): Promise<number>;
```
**Returns:**

Promise&lt;number&gt;

Amount of money stolen by manual hacking.

## Remarks

RAM cost: 2 GB \* 16/4/1

